<template>
  <div class="layout">
    <AppHeader></AppHeader>
    <router-view :style="'min-height:' + routerPageHeight + 'px'"></router-view>
    <AppFooter></AppFooter>
  </div>
</template>

<script>
import AppHeader from '../../components/Header.vue';
import AppFooter from '../../components/Footer.vue';
export default {
  name: "layout",
  components: {AppHeader, AppFooter},
  data() {
    return {
      routerPageHeight: 0,
    }
  },

  created() {
    this.routerPageHeight = window.innerHeight - 114
  }
}
</script>

<style scoped>

</style>